<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstCategoryPosition Method (IEdmCategoryMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCategoryMgr6 Interface : GetFirstCategoryPosition Method (IEdmCategoryMgr6)

Visual Basic
C#
C++/CLI
Starts an enumeration of the categories in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstCategoryPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstCategoryPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstCategoryPosition();

#### Return Value

IEdmPos5; position of the first category in the list

# Example

See the IEdmCategoryMgr6 examples.

# Remarks

After calling this method, call IEdmCategoryMgr6::GetNextCategory.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCategoryMgr6 Interface
IEdmCategoryMgr6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0